<?php
class ControllerExtensionModuleWebskyEasybuy extends Controller {
	private $error = array();

	public function index() {
		$this->load->language('extension/module/websky_easybuy');

		$this->document->setTitle($this->language->get('heading_title'));

		$this->load->model('setting/setting');
          $this->load->model('tool/image');
		if (($this->request->server['REQUEST_METHOD'] == 'POST') && $this->validate()) {
			
			$this->model_setting_setting->editSetting('module_websky_easybuy', $this->request->post);
		// SEO URL
		$this->db->query("DELETE FROM " . DB_PREFIX . "seo_url WHERE query = 'websky_easybuy'");
		if (isset($this->request->post['module_websky_easybuy_seo'])) {
			foreach ($this->request->post['module_websky_easybuy_seo'] as $store_id => $keyword) {
				if (!empty($keyword)) {
					$this->db->query("INSERT INTO " . DB_PREFIX . "seo_url SET store_id = '" . (int) $store_id . "', query = 'websky_easybuy', keyword = '" . $this->db->escape($keyword) . "'");
				}

			}
		}
		
			$this->session->data['success'] = $this->language->get('text_success');
			$this->response->redirect($this->url->link('marketplace/extension', 'user_token=' . $this->session->data['user_token'] . '&type=module', true));

		}
         $data['user_token'] = $this->session->data['user_token'];
		if (isset($this->error['warning'])) {
			$data['error_warning'] = $this->error['warning'];
		} else {
			$data['error_warning'] = '';
		}
		if (isset($this->error['keyword'])) {
			$data['error_keyword'] = $this->error['keyword'];
		} else {
			$data['error_keyword'] = '';
		}

		$data['breadcrumbs'] = array();

		$data['breadcrumbs'][] = array(
			'text' => $this->language->get('text_home'),
			'href' => $this->url->link('common/dashboard', 'user_token=' . $this->session->data['user_token'], true)
		);

		$data['breadcrumbs'][] = array(
			'text' => $this->language->get('text_extension'),
			'href' => $this->url->link('marketplace/extension', 'user_token=' . $this->session->data['user_token'] . '&type=module', true)
		);

		$data['breadcrumbs'][] = array(
			'text' => $this->language->get('heading_title'),
			'href' => $this->url->link('extension/module/websky_easybuy', 'user_token=' . $this->session->data['user_token'], true)
		);

		$data['action'] = $this->url->link('extension/module/websky_easybuy', 'user_token=' . $this->session->data['user_token'], true);

		
		$data['cancel'] = $this->url->link('marketplace/extension', 'user_token=' . $this->session->data['user_token'] . '&type=module', true);
		
        $data['imageurl']=HTTP_CATALOG.'image/';
	
			
		if (isset($this->request->post['module_websky_easybuy_heading'])) {
			$data['module_websky_easybuy_heading'] = $this->request->post['module_websky_easybuy_heading'];
		} else {
			$data['module_websky_easybuy_heading'] = $this->config->get('module_websky_easybuy_heading');
		}

		
		if (isset($this->request->post['module_websky_easybuy_welcome_text'])) {
			$data['module_websky_easybuy_welcome_text'] = $this->request->post['module_websky_easybuy_welcome_text'];
		} elseif($this->config->get('module_websky_easybuy_welcome_text')) {
		     $data['module_websky_easybuy_welcome_text'] = $this->config->get('module_websky_easybuy_welcome_text');
		} else {
			$data['module_websky_easybuy_welcome_text'] ='welcome to my store';
		}

		if (isset($this->request->post['module_websky_easybuy_welcome_header'])) {
			$data['module_websky_easybuy_welcome_header'] = $this->request->post['module_websky_easybuy_welcome_header'];
		} elseif($this->config->get('module_websky_easybuy_welcome_header')) {
		     $data['module_websky_easybuy_welcome_header'] = $this->config->get('module_websky_easybuy_welcome_header');
		} else {
			$data['module_websky_easybuy_welcome_header'] ='';
				
		}
		if (isset($this->request->post['module_websky_easybuy_headimage'])) {
			$data['module_websky_easybuy_headimage'] = $this->request->post['module_websky_easybuy_headimage'];
		} else {
			$data['module_websky_easybuy_headimage'] = $this->config->get('module_websky_easybuy_headimage');
		}


		 
       

		if (isset($this->request->post['module_websky_easybuy_footer'])) {
			$data['module_websky_easybuy_footer'] = $this->request->post['module_websky_easybuy_footer'];
		} else {
			$data['module_websky_easybuy_footer'] = $this->config->get('module_websky_easybuy_footer');
		}
        
		


		
		if (isset($this->request->post['module_websky_easybuy_category'])) {
			$data['module_websky_easybuy_category'] = $this->request->post['module_websky_easybuy_category'];
		} else {
		   $data['module_websky_easybuy_category'] = $this->config->get('module_websky_easybuy_category');
		}
		
       ///var_dump( $data['module_websky_easybuy_category']);
        
       if (isset($this->request->post['module_websky_easybuy_powered'])) {
		$data['module_websky_easybuy_powered'] = $this->request->post['module_websky_easybuy_powered'];
	} else {
		$data['module_websky_easybuy_powered'] = $this->config->get('module_websky_easybuy_powered');
	}

	if (isset($this->request->post['module_websky_easybuy_footer_opencart'])) {
		$data['module_websky_easybuy_footer_opencart'] = $this->request->post['module_websky_easybuy_footer_opencart'];
	} else {
		$data['module_websky_easybuy_footer_opencart'] = $this->config->get('module_websky_easybuy_footer_opencart');
	}

		if (isset($this->request->post['module_websky_easybuy_status'])) {
			$data['module_websky_easybuy_status'] = $this->request->post['module_websky_easybuy_status'];
		} else {
			$data['module_websky_easybuy_status'] = $this->config->get('module_websky_easybuy_status');
		}

			////////////////seo //////////
			if (isset($this->request->post['module_websky_easybuy_seo'])) {
				$data['module_websky_easybuy_seo'] = $this->request->post['module_websky_easybuy_seo'];
			} else {
				$data['module_websky_easybuy_seo'] = $this->config->get('module_websky_easybuy_seo');
			}
			//////////////end seo/////////

		
		$this->load->model('localisation/language');
		
		$data['languages'] = $this->model_localisation_language->getLanguages();

       $data['header'] = $this->load->controller('common/header');
		$data['column_left'] = $this->load->controller('common/column_left');
		$data['footer'] = $this->load->controller('common/footer');
		$this->load->model('setting/store');

		$data['stores'] = array();
		
		$data['stores'][] = array(
			'store_id' => 0,
			'name'     => $this->language->get('text_default')
		);
		
		$stores = $this->model_setting_store->getStores();

		foreach ($stores as $store) {
			$data['stores'][] = array(
				'store_id' => $store['store_id'],
				'name'     => $store['name']
			);
		}
		
		$this->response->setOutput($this->load->view('extension/module/websky_easybuy', $data));
	}

	protected function validate() {
		if (!$this->user->hasPermission('modify', 'extension/module/websky_easybuy')) {
			$this->error['warning'] = $this->language->get('error_permission');
		}
		
	
		if ($this->request->post['module_websky_otp_easybuy']) {
			$this->load->model('design/seo_url');

			foreach ($this->request->post['module_websky_otp_easybuy'] as $store_id => $keyword) {



				$seo_urls = $this->model_design_seo_url->getSeoUrlsByKeyword($keyword);

				foreach ($seo_urls as $seo_url) {
					if (($seo_url['store_id'] == $store_id) && ($seo_url['query'] != 'websky_easybuy')) {
						$this->error['keyword'][$store_id] = $this->language->get('error_keyword');

						break;
					}
				}
			}

		}
		

	

		return !$this->error;
	}
	
	
	
	

	
	
	
	
	

}