<?php
class ControllerExtensionModuleWebskyEasybuy extends Controller
{
	private $error = array();
	public function index()
	{
	
		$this->load->model('account/customer');
		$this->load->language('extension/module/websky_easybuy');
		$data['easybuy_welcome_header'] = html_entity_decode($this->config->get('module_websky_easybuy_welcome_header'), ENT_QUOTES, 'UTF-8');
		$data['easybuy_catalogtxt'] = $this->config->get('module_websky_easybuy_catalogtxt');
		$data['easybuy_admintxt'] = $this->config->get('module_websky_easybuy_admintxt');
		$data['easybuy_catalogurl'] = $this->config->get('module_websky_easybuy_catalogurl');
		$data['easybuy_adminurl'] = $this->config->get('module_websky_easybuy_adminurl');


		$data['easybuy_linkbuy'] = $this->config->get('module_websky_easybuy_linkbuy');
		$data['easybuy_textbuy'] = $this->config->get('module_websky_easybuy_textbuy');

		$data['easybuy_catalogimage'] = $this->config->get('module_websky_easybuy_catalogimage');
		$data['easybuy_adminimage'] = $this->config->get('module_websky_easybuy_adminimage');
		//footer

		$data['websky_easybuy_slide_status'] = $this->config->get('module_websky_easybuy_slide_status');
		$data['easybuy_slide_heading'] = $this->config->get('module_websky_easybuy_slide_heading');
		if ($this->config->get('module_websky_easybuy_slide_numberrow')) {
			$data['easybuy_slide_numberrow'] = $this->config->get('module_websky_easybuy_slide_numberrow');
		} else {
			$data['easybuy_slide_numberrow'] = 2.2;
		}
		
		
		// print_r(   $data['easybuy_slides']);
		$data['footer'] = html_entity_decode($this->config->get('module_websky_easybuy_footer'), ENT_QUOTES, 'UTF-8');
        $data['powered'] = html_entity_decode($this->config->get('module_websky_easybuy_powered'), ENT_QUOTES, 'UTF-8');

		//menu 
		$data['easybuy_menu_icon'] = $this->config->get('module_websky_easybuy_menu_icon');
		$data['easybuy_menus'] = $this->config->get('module_websky_easybuy_menus');
		//haad con 
		$data['easybuy_headimage'] = $this->config->get('module_websky_easybuy_headimage');

		$data['imageurl'] = HTTPS_SERVER . 'image/';
		
		$this->document->setTitle($this->config->get('module_websky_easybuy_heading'));
		$data['websky_easybuy_faq_head'] = $this->config->get('module_websky_easybuy_faq_head');
		$data['websky_easybuy_faqs'] = $this->config->get('module_websky_easybuy_faqs');
		$data['websky_easybuy_faq_status'] = $this->config->get('module_websky_easybuy_faq_status');
		// $data['websky_easybuy_contents']=$this->config->get('module_websky_easybuy_contents');
		$this->load->model('catalog/category');
      	$this->load->model('catalog/product');
		$this->load->model('tool/image');
        
		if (isset($this->request->get['search'])) {
			$search = $this->request->get['search'];
		} else {
			$search = '';
		}

		if (isset($this->request->get['tag'])) {
			$tag = $this->request->get['tag'];
		} elseif (isset($this->request->get['search'])) {
			$tag = $this->request->get['search'];
		} else {
			$tag = '';
		}

		foreach ($this->config->get('module_websky_easybuy_category') as $category) {
		/*	$data['easybuy_category'][] = array(
				'name' => $category['name'],
				'category_id' => $category['category_id'],
				'icon' => $category['icon'],
				'sort' => $category['sort'],
			);*/

			$category_product = $this->model_catalog_category->getCategory($category['category_id']);
			if ($category_product) {
				$limit = 100;;	
				$products_array = array();
				$sort = 'p.quantity';
				$order = 'DESC';
					if (isset($this->request->post['page'])) {
            			$page = $this->request->post['page'];
            		} else {
            			$page = 1;
            		}
				$filter_data = array(
					'filter_name'         => $search,
			    	'filter_tag'          => $tag,
					'filter_category_id' => $category['category_id'],
					'filter_sub_category'=> true,
					'sort'               => $sort,
					'order'              => $order,
					'start'              => ($page - 1) * $limit,
					'limit'              => $limit
				);
				$products = $this->model_catalog_product->getProducts($filter_data);
		        $json['count']=false;
				foreach ($products as $product) {
					$product_info = $this->model_catalog_product->getProduct($product['product_id']);
		
					
				
			    if (($this->config->get('config_customer_price') && $this->customer->isLogged()) || !$this->config->get('config_customer_price')) {
					if($this->config->get('storeapp_quantity_priceshow') && $product_info['quantity']<1 ){
						$price = 'تمام شد';
					}else {
						$price = $this->currency->format($this->tax->calculate($product_info['price'], $product_info['tax_class_id'], $this->config->get('config_tax')), $this->session->data['currency']);
				    }
				} else {
					$price = false;
				}

				if ((float)$product_info['special']) {
					$special = $this->currency->format($this->tax->calculate($product_info['special'], $product_info['tax_class_id'], $this->config->get('config_tax')), $this->session->data['currency']);
				} else {
					$special = false;
				}

				if ($this->config->get('config_tax')) {
					$tax = $this->currency->format((float)$product_info['special'] ? $product_info['special'] : $product_info['price'], $this->session->data['currency']);
				} else {
					$tax = false;
				}
		
			
						
					
              if((float)$product_info['special']){
                  $percentage= round(100/($product_info['price']/($product_info['price'] - $product_info['special'])), 1, PHP_ROUND_HALF_UP);
                 }else {
                  $percentage=false;   
                 }
		           
						$products_array[] = array(
							'product_id'  => $product_info['product_id'],
							'name'        => utf8_substr(strip_tags(html_entity_decode( str_replace('&amp;', '&', $product_info['name']), ENT_QUOTES, 'UTF-8')), 0, 40),
							'price'       => $price,
							'special'     => $special,
							'percentage'     =>	$percentage,
							'tax'         => $tax
						);
					}
					$data['count']=true;
					 
				}
				
			
				
				$data['easybuy_category'][] = array(
				'category_id' => $category['category_id'],
				'name'        => utf8_substr(strip_tags(html_entity_decode( str_replace('&amp;', '&', $category_product['name']), ENT_QUOTES, 'UTF-8')), 0, 100),
				'icon' => $category['icon'],
				'sort'=>$category['sort'],
				'products'    => $products_array
				);
			}
		
		$sort_order = array();

		foreach ($data['easybuy_category'] as $key => $value) {
			$sort_order[$key] = $value['sort'];
		}

		array_multisort($sort_order, SORT_ASC, $data['easybuy_category']);

		$data['action'] = $this->url->link('extension/module/websky_easybuy/verify', '', true);

		$data['direction'] = $this->language->get('direction');
		if ($data['direction'] == 'rtl') {
			$this->document->addStyle('catalog/view/theme/default/stylesheet/easybuy-rtl.css');
		}
		$this->document->addStyle('catalog/view/theme/default/stylesheet/easybuy.css');
		//$this->document->addStyle('catalog/view/theme/default/stylesheet/front.css');
		$data['column_left'] = $this->load->controller('common/column_left');
		$data['column_right'] = $this->load->controller('common/column_right');
		$data['content_top'] = $this->load->controller('common/content_top');
		$data['content_bottom'] = $this->load->controller('common/content_bottom');
		//$data['footer'] = $this->load->controller('common/footer');
		$data['header'] = $this->load->controller('common/header');
		$data['cart'] = $this->load->controller('extension/module/websky_easybuy/cart');

		$data['header_easybuy'] = $this->load->controller('extension/module/websky_easybuy/header');
		$data['design'] = $this->config->get('module_websky_easybuy_designs');
		$this->response->setOutput($this->load->view('extension/module/websky_easybuy/design', $data));
	}

	public function header()
	{


		// Analytics
		$this->load->model('setting/extension');

		$data['analytics'] = array();

		$analytics = $this->model_setting_extension->getExtensions('analytics');

		foreach ($analytics as $analytic) {
			if ($this->config->get('analytics_' . $analytic['code'] . '_status')) {
				$data['analytics'][] = $this->load->controller('extension/analytics/' . $analytic['code'], $this->config->get('analytics_' . $analytic['code'] . '_status'));
			}
		}

		if ($this->request->server['HTTPS']) {
			$server = $this->config->get('config_ssl');
		} else {
			$server = $this->config->get('config_url');
		}

		if (is_file(DIR_IMAGE . $this->config->get('config_icon'))) {
			$this->document->addLink($server . 'image/' . $this->config->get('config_icon'), 'icon');
		}

		$data['title'] = $this->document->getTitle();

		$data['base'] = $server;
		$data['description'] = $this->document->getDescription();
		$data['keywords'] = $this->document->getKeywords();
		$data['links'] = $this->document->getLinks();
		$data['styles'] = $this->document->getStyles();
		$data['scripts'] = $this->document->getScripts('header');
		$data['lang'] = $this->language->get('code');
		$data['direction'] = $this->language->get('direction');

		$data['name'] = $this->config->get('config_name');



		return $this->load->view('extension/module/websky_easybuy/header', $data);
	}

	public function cart() {
		$this->load->language('common/cart');

		// Totals
		$this->load->model('setting/extension');

		$totals = array();
		$taxes = $this->cart->getTaxes();
		$total = 0;

		// Because __call can not keep var references so we put them into an array.
		$total_data = array(
			'totals' => &$totals,
			'taxes'  => &$taxes,
			'total'  => &$total
		);
			
		// Display prices
		if ($this->customer->isLogged() || !$this->config->get('config_customer_price')) {
			$sort_order = array();

			$results = $this->model_setting_extension->getExtensions('total');

			foreach ($results as $key => $value) {
				$sort_order[$key] = $this->config->get('total_' . $value['code'] . '_sort_order');
			}

			array_multisort($sort_order, SORT_ASC, $results);

			foreach ($results as $result) {
				if ($this->config->get('total_' . $result['code'] . '_status')) {
					$this->load->model('extension/total/' . $result['code']);

					// We have to put the totals in an array so that they pass by reference.
					$this->{'model_extension_total_' . $result['code']}->getTotal($total_data);
				}
			}

			$sort_order = array();

			foreach ($totals as $key => $value) {
				$sort_order[$key] = $value['sort_order'];
			}

			array_multisort($sort_order, SORT_ASC, $totals);
		}

		$data['text_items'] = sprintf($this->language->get('text_items'), $this->cart->countProducts() + (isset($this->session->data['vouchers']) ? count($this->session->data['vouchers']) : 0), $this->currency->format($total, $this->session->data['currency']));

		$this->load->model('tool/image');
		$this->load->model('tool/upload');

		$data['products'] = array();

		foreach ($this->cart->getProducts() as $product) {
			if ($product['image']) {
				$image = $this->model_tool_image->resize($product['image'], $this->config->get('theme_' . $this->config->get('config_theme') . '_image_cart_width'), $this->config->get('theme_' . $this->config->get('config_theme') . '_image_cart_height'));
			} else {
				$image = '';
			}

			$option_data = array();

			foreach ($product['option'] as $option) {
				if ($option['type'] != 'file') {
					$value = $option['value'];
				} else {
					$upload_info = $this->model_tool_upload->getUploadByCode($option['value']);

					if ($upload_info) {
						$value = $upload_info['name'];
					} else {
						$value = '';
					}
				}

				$option_data[] = array(
					'name'  => $option['name'],
					'value' => (utf8_strlen($value) > 20 ? utf8_substr($value, 0, 20) . '..' : $value),
					'type'  => $option['type']
				);
			}

			// Display prices
			if ($this->customer->isLogged() || !$this->config->get('config_customer_price')) {
				$unit_price = $this->tax->calculate($product['price'], $product['tax_class_id'], $this->config->get('config_tax'));
				
				$price = $this->currency->format($unit_price, $this->session->data['currency']);
				$total = $this->currency->format($unit_price * $product['quantity'], $this->session->data['currency']);
			} else {
				$price = false;
				$total = false;
			}

			$data['products'][] = array(
				'cart_id'   => $product['cart_id'],
				'thumb'     => $image,
				'name'      => $product['name'],
				'model'     => $product['model'],
				'option'    => $option_data,
				'recurring' => ($product['recurring'] ? $product['recurring']['name'] : ''),
				'quantity'  => $product['quantity'],
				'price'     => $price,
				'total'     => $total,
				'href'      => $this->url->link('product/product', 'product_id=' . $product['product_id'])
			);
		}

		// Gift Voucher
		$data['vouchers'] = array();

		if (!empty($this->session->data['vouchers'])) {
			foreach ($this->session->data['vouchers'] as $key => $voucher) {
				$data['vouchers'][] = array(
					'key'         => $key,
					'description' => $voucher['description'],
					'amount'      => $this->currency->format($voucher['amount'], $this->session->data['currency'])
				);
			}
		}

		$data['totals'] = array();

		foreach ($totals as $total) {
			$data['totals'][] = array(
				'title' => $total['title'],
				'text'  => $this->currency->format($total['value'], $this->session->data['currency']),
			);
		}

		$data['cart'] = $this->url->link('checkout/cart');
		$data['checkout'] = $this->url->link('checkout/checkout', '', true);

		return $this->load->view('extension/module/websky_easybuy/cart', $data);
	}

	public function info() {
		$this->response->setOutput($this->cart());
	}

	public function autocomplete() {
		$json = array();
		if (isset($this->request->get['filter_name'])) {
			$search = $this->request->get['filter_name'];
		} else {
			$search = '';
		}
		$this->load->model('catalog/category');
		$this->load->model('catalog/product');
	  $this->load->model('tool/image');
		
			if (isset($this->request->get['filter_name'])) {
				foreach ($this->config->get('module_websky_easybuy_category') as $category) {
			
						$category_product = $this->model_catalog_category->getCategory($category['category_id']);
						if ($category_product) {
							$limit = 100;;	
							$products_array = array();
							$sort = 'p.quantity';
							$order = 'DESC';
								if (isset($this->request->post['page'])) {
									$page = $this->request->post['page'];
								} else {
									$page = 1;
								}
							$filter_data = array(
								'filter_name'         => $search,
								
								'filter_category_id' => $category['category_id'],
								'filter_sub_category'=> true,
								'sort'               => $sort,
								'order'              => $order,
								'start'              => ($page - 1) * $limit,
								'limit'              => $limit
							);
							$products = $this->model_catalog_product->getProducts($filter_data);
							$json['count']=false;
							foreach ($products as $product) {
								$product_info = $this->model_catalog_product->getProduct($product['product_id']);
					
								
							
							if (($this->config->get('config_customer_price') && $this->customer->isLogged()) || !$this->config->get('config_customer_price')) {
								if($this->config->get('storeapp_quantity_priceshow') && $product_info['quantity']<1 ){
									$price = 'تمام شد';
								}else {
									$price = $this->currency->format($this->tax->calculate($product_info['price'], $product_info['tax_class_id'], $this->config->get('config_tax')), $this->session->data['currency']);
								}
							} else {
								$price = false;
							}
			
							if ((float)$product_info['special']) {
								$special = $this->currency->format($this->tax->calculate($product_info['special'], $product_info['tax_class_id'], $this->config->get('config_tax')), $this->session->data['currency']);
							} else {
								$special = false;
							}
			
							if ($this->config->get('config_tax')) {
								$tax = $this->currency->format((float)$product_info['special'] ? $product_info['special'] : $product_info['price'], $this->session->data['currency']);
							} else {
								$tax = false;
							}
					
						
									
								
						  if((float)$product_info['special']){
							  $percentage= round(100/($product_info['price']/($product_info['price'] - $product_info['special'])), 1, PHP_ROUND_HALF_UP);
							 }else {
							  $percentage=false;   
							 }
							   
									$products_array[] = array(
										'product_id'  => $product_info['product_id'],
										'name'        => utf8_substr(strip_tags(html_entity_decode( str_replace('&amp;', '&', $product_info['name']), ENT_QUOTES, 'UTF-8')), 0, 40),
										'price'       => $price,
										'special'     => $special,
										'percentage'     =>	$percentage,
										'tax'         => $tax
									);
								}
								$data['count']=true;
								 
							}
							
						
							
							$data['easybuy_category_auto'][] = array(
							'category_id' => $category['category_id'],
							'name'        => utf8_substr(strip_tags(html_entity_decode( str_replace('&amp;', '&', $category_product['name']), ENT_QUOTES, 'UTF-8')), 0, 100),
							'icon' => $category['icon'],
							'sort'=>$category['sort'],
							'products'    => $products_array
							);
						}
					
					$sort_order = array();
			
					foreach ($data['easybuy_category_auto'] as $key => $value) {
						$sort_order[$key] = $value['sort'];
					}
			
					array_multisort($sort_order, SORT_ASC, $data['easybuy_category_auto']);
			}
		
		$this->response->addHeader('Content-Type: application/json');
		$this->response->setOutput(json_encode($data));
	
	}
}